Relative paths to files and photos
Status: Feedback

Priority: High

Assignee:

Category: Browser

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21342

Description

Although there is a setting in the project properties stating that relative paths must be used, it is not possible for photos or files, like in the

forms widgets.  

This is not consistent (relative paths can be used for resources like svg's for example) and seems to be a rather common problem in

QGis, according to other open tickets.  This is especially a difficulty when sharing a project between several users.

Associated revisions

Revision 82853565 - 2016-06-06 07:19 PM - Matthias Kuhn 

External resource widget relative path fix for integrated viewer

Fixes #14891

References #13283

History

#1 - 2016-05-24 07:28 AM - Paolo Cavallini

- Status changed from Open to Feedback

Isn't this fixed witj new editing widgets?

#2 - 2016-05-24 07:50 AM - didier peeters

I guess it is; I briefly checked recently with 2.14.2 on a Mac but although the relative path was stored by the widget I could not visualize the linked photo in

the form.  Since I didn't have time to investigate further I haven't reacted yet.

#3 - 2016-05-24 08:00 AM - Paolo Cavallini

I also had trouble with the new widget. This would be a different ticket however.

#4 - 2016-05-26 02:23 AM - didier peeters

Just created bug report #14891

#5 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
